By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
438,778 Members | 1,074 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 438,778 IT Pros & Developers. It's quick & easy.

Unable to update DB2 V7.2 FP5 to FP14 on AIX 4.3.3

P: n/a
I have installed (what I thought was) DB2 7.2 FP5 (as my starting
point, it was 7.2 with FP5 applied) on my AIX 4.3.3 boxes.

This is what I get.

# lslpp -L | grep db2
db2_07_01.cj 7.1.0.65 C Java Common files
db2_07_01.client 7.1.0.65 C Client Application Enabler
db2_07_01.cnvucs 7.1.0.65 C Code Page Conversion
Tables -
db2_07_01.conn 7.1.0.65 C Connect
db2_07_01.conv.jp 7.1.0.65 C Code Page Conversion
Tables -
db2_07_01.conv.kr 7.1.0.65 C Code Page Conversion
Tables -
db2_07_01.conv.sch 7.1.0.65 C Code Page Conversion
Tables -
db2_07_01.conv.tch 7.1.0.65 C Code Page Conversion
Tables -
db2_07_01.cs.drda 7.1.0.65 C Communication Support -
DRDA
db2_07_01.cs.ipx 7.1.0.65 C Communication Support -
IPX
db2_07_01.cs.rte 7.1.0.65 C Communication Support -
TCP/IP
db2_07_01.cs.sna 7.1.0.65 C Communication Support -
SNA
db2_07_01.das 7.1.0.65 C Administration Server
db2_07_01.db2.engn 7.1.0.65 C Engine
db2_07_01.db2.rte 7.1.0.65 C Run-time Environment
db2_07_01.db2.samples 7.1.0.65 C Sample Database Source
db2_07_01.dj 7.1.0.65 C Distributed Join for DB2
Data
db2_07_01.elic 7.1.0.65 C Product Signature for UDB
db2_07_01.gs 7.1.0.65 C Getting Started
db2_07_01.html.en_US 7.1.0.65 C Product Document (HTML) -
db2_07_01.jdbc 7.1.0.65 C Java Support
db2_07_01.ldap 7.1.0.65 C DB2 LDAP Support
db2_07_01.msg.En_US 7.1.0.65 C Product Messages - U.S.
English
db2_07_01.repl 7.1.0.65 C Replication
db2_07_01.tspf 7.1.0.65 C Transformer Stored
Procedure
db2_07_01.wcc 7.1.0.65 C Control Center
# db2level
ksh: db2level: not found.
# su - db2inst1
$ . $HOME/sqllib/db2profile
$ db2level
DB21085I Instance "db2inst1" uses DB2 code release "SQL07025" with
level
identifier "03060105" and informational tokens "DB2 v7.1.0.65",
"s020616" and
"U482561".

$ db2
(c) Copyright IBM Corporation 1993,2001
Command Line Processor for DB2 SDK 7.2.5

And when I install it I get:

FAILURES
--------
Filesets listed in this section failed pre-installation verification
and will not be installed.

Requisite Failures
------------------
SELECTED FILESETS: The following is a list of filesets that you
asked to
install. They cannot be installed until all of their requisite
filesets
are also installed. See subsequent lists for details of requisites.

db2_07_01.cj 7.1.1.111 # Java Common files
db2_07_01.client 7.1.1.111 # Client Application
Enabler
db2_07_01.cnvucs 7.1.1.111 # Code Page Conversion
Tables ...
db2_07_01.conn 7.1.1.111 # Connect
db2_07_01.conv.jp 7.1.1.111 # Code Page Conversion
Tables ...
db2_07_01.cs.drda 7.1.1.111 # Communication Support -
DRDA...
db2_07_01.cs.ipx 7.1.1.111 # Communication Support -
IPX
db2_07_01.cs.rte 7.1.1.111 # Communication Support -
TCP/IP
db2_07_01.cs.sna 7.1.1.111 # Communication Support -
SNA
db2_07_01.das 7.1.1.111 # Administration Server
db2_07_01.db2.engn 7.1.1.111 # Engine
db2_07_01.db2.rte 7.1.1.111 # Run-time Environment
db2_07_01.dj 7.1.1.111 # Distributed Join for
DB2 Dat...
db2_07_01.elic 7.1.1.111 # Product Signature for
UDB En...
db2_07_01.gs 7.1.1.111 # Getting Started
db2_07_01.html.en_US 7.1.1.111 # Product Document (HTML)
- En...
db2_07_01.jdbc 7.1.1.111 # Java Support
db2_07_01.ldap 7.1.1.111 # DB2 LDAP Support
db2_07_01.msg.En_US 7.1.1.111 # Product Messages - U.S.
Engl...
db2_07_01.repl 7.1.1.111 # Replication
db2_07_01.tspf 7.1.1.111 # Transformer Stored
Procedure...
db2_07_01.wcc 7.1.1.111 # Control Center

MISSING REQUISITES: The following filesets are required by one or
more
of the selected filesets listed above. They are not currently
installed
and could not be found on the installation media.

db2_07_01.cj 7.1.1.0 # Base Level Fileset
db2_07_01.client 7.1.1.0 # Base Level Fileset
db2_07_01.cnvucs 7.1.1.0 # Base Level Fileset
db2_07_01.conn 7.1.1.0 # Base Level Fileset
db2_07_01.conv.jp 7.1.1.0 # Base Level Fileset
db2_07_01.cs.drda 7.1.1.0 # Base Level Fileset
db2_07_01.cs.ipx 7.1.1.0 # Base Level Fileset
db2_07_01.cs.rte 7.1.1.0 # Base Level Fileset
db2_07_01.cs.sna 7.1.1.0 # Base Level Fileset
db2_07_01.das 7.1.1.0 # Base Level Fileset
db2_07_01.db2.engn 7.1.1.0 # Base Level Fileset
db2_07_01.db2.rte 7.1.1.0 # Base Level Fileset
db2_07_01.dj 7.1.1.0 # Base Level Fileset
db2_07_01.elic 7.1.1.0 # Base Level Fileset
db2_07_01.gs 7.1.1.0 # Base Level Fileset
db2_07_01.html.en_US 7.1.1.0 # Base Level Fileset
db2_07_01.jdbc 7.1.1.0 # Base Level Fileset
db2_07_01.ldap 7.1.1.0 # Base Level Fileset
db2_07_01.msg.En_US 7.1.1.0 # Base Level Fileset
db2_07_01.repl 7.1.1.0 # Base Level Fileset
db2_07_01.tspf 7.1.1.0 # Base Level Fileset
db2_07_01.wcc 7.1.1.0 # Base Level Fileset

<< End of Failure Section >>

FILESET STATISTICS
------------------
22 Selected to be installed, of which:
22 FAILED pre-installation verification
----
0 Total to be installed
Pre-installation Failure/Warning Summary
----------------------------------------
Name Level Pre-installation
Failure/Warning
-------------------------------------------------------------------------------
db2_07_01.wcc 7.1.1.111 Requisite failure
db2_07_01.tspf 7.1.1.111 Requisite failure
db2_07_01.repl 7.1.1.111 Requisite failure
db2_07_01.msg.En_US 7.1.1.111 Requisite failure
db2_07_01.ldap 7.1.1.111 Requisite failure
db2_07_01.jdbc 7.1.1.111 Requisite failure
db2_07_01.html.en_US 7.1.1.111 Requisite failure
db2_07_01.gs 7.1.1.111 Requisite failure
db2_07_01.elic 7.1.1.111 Requisite failure
db2_07_01.dj 7.1.1.111 Requisite failure
db2_07_01.db2.rte 7.1.1.111 Requisite failure
db2_07_01.db2.engn 7.1.1.111 Requisite failure
db2_07_01.das 7.1.1.111 Requisite failure
db2_07_01.cs.sna 7.1.1.111 Requisite failure
db2_07_01.cs.rte 7.1.1.111 Requisite failure
db2_07_01.cs.ipx 7.1.1.111 Requisite failure
db2_07_01.cs.drda 7.1.1.111 Requisite failure
db2_07_01.conv.jp 7.1.1.111 Requisite failure
db2_07_01.conn 7.1.1.111 Requisite failure
db2_07_01.cnvucs 7.1.1.111 Requisite failure
db2_07_01.client 7.1.1.111 Requisite failure
db2_07_01.cj 7.1.1.111 Requisite failure

So, what is wrong?

Obviously it is looking for 7.1.1.0 but I only have 7.1.0.65!

Can anyone point out to me what is wrong here?

I have another 7.2 install, with FP 7 applied as the starting point,
should I start there instead?

Any comments more than welcome.

-Chris

Nov 12 '05 #1
Share this Question
Share on Google+
6 Replies


P: n/a
Check at the DB2 website for an update starting from db2 v7.2 ML 5 or
get the base level filesets.

hth
Hajo

Nov 12 '05 #2

P: n/a
"Hajo Ehlers" <se*****@metamodul.com> wrote in message
news:11**********************@o13g2000cwo.googlegr oups.com...
Check at the DB2 website for an update starting from db2 v7.2 ML 5 or
get the base level filesets.

hth
Hajo


I think you must start with FP3, which is the first release of 7.2.
Nov 12 '05 #3

P: n/a
In article <11*********************@o13g2000cwo.googlegroups. com>,
ch****@warpspeed.com.au says...
I have installed (what I thought was) DB2 7.2 FP5 (as my starting
point, it was 7.2 with FP5 applied) on my AIX 4.3.3 boxes.

This is what I get.

# lslpp -L | grep db2
db2_07_01.cj 7.1.0.65 C Java Common files
db2_07_01.client 7.1.0.65 C Client Application Enabler
db2_07_01.cnvucs 7.1.0.65 C Code Page Conversion


<snipped>

Check http://tinyurl.com/7q63c for a full list.
The 7.1.0.65 looks like a SGI fixpack. Are you sure about it?
Nov 12 '05 #4

P: n/a
Ian
ch****@warpspeed.com.au wrote:
I have installed (what I thought was) DB2 7.2 FP5 (as my starting
point, it was 7.2 with FP5 applied) on my AIX 4.3.3 boxes.

[...]

So, what is wrong?

Obviously it is looking for 7.1.1.0 but I only have 7.1.0.65!


7.1.0.X = 32 bit V7 code
7.1.1.X = 64 bit V7 code

You grabbed the wrong fixpack - make sure you get the V7 32 bit
fixpack for AIX (in V7, 32 bit and 64 bit fixpacks were separate).

Good luck,
Nov 12 '05 #5

P: n/a
Thanks for that I'll double check.

But I thought that I read that:
7.1.2.X = 64 bit (in the readme [which could be wrong]).

I also have 7.5 FP 7 as a starting point I might try starting from
there as well..

Thanks for your comments.

-Chris

Nov 12 '05 #6

P: n/a
You are absolutely right. I am running AIX 4.3.3 so I picked up the
update for 4.3.3 when what I needed was 'for AIX 4.2.1 or higher' which
gives me the 7.1.0.X build.

The 7.1.1.X is 32/64 bit for AIX 4. 7.1.2.X is the 64 bit build for AIX
5L.

It is clealy stated here:

http://www-1.ibm.com/support/docview...id=swg21189629
From the above URL:


Determine the exact level of DB2 Version 7 that you currently have
installed, as follows:
lslpp -al "db2_07_01*"
Look for the fileset called "db2_07_01.client". You may see multiple
"level" numbers associated with this fileset. The largest number
represents the current level of DB2. For example, if you have 7.1.0.0,
7.1.0.1, 7.1.1.60, 7.1.2.51 returned in the command, 7.1.2.51 is
largest number.

1. Using the number from step 1, you can determine the appropriate type
of FixPak to install. If the level is:
7.1.0.x, you must use the "32-bit DB2 for AIX 4.2.1 or higher" FixPak.
7.1.1.x, AND
You are on AIX Version 4, you must use the "32- & 64-bit DB2 for AIX
4.3.3" FixPak.
You are on AIX Version 5, you must upgrade to the "32- & 64-bit DB2 for
AIX 5".
7.1.2.x, you must be using AIX Version 5, and thus must use "32- &
64-bit DB2 for AIX 5" FixPaks.

Nov 12 '05 #7

This discussion thread is closed

Replies have been disabled for this discussion.